#include <iostream>

using namespace std;

long long broj(long long v)
{
    long long s=1;
    while (v>0)
    {
        v=v/10;
        s=s*10;
    }
    s=s/10;
    return s;
}

int main()
{
    long long v;
    scanf("%lld",&v);
    long long a[3];
    a[0]=5;
    a[1]=2;
    a[2]=1;
    long long br=0,cur=0;
    while(v>0)
    {
        long long l=a[cur]*broj(v);
        if (v<l)
        {
            cur=(cur+1)%3;
        }
        else
        if (v>=l)
        {
            cur=0;
        }
        br+=v/l;
        v=v%l;
    }
    printf("%lld",br);
    return 0;
}